In the template dialog, the boxes for pre-existing, long parameters should be expanded before you click on them in Firefox
Closed, ResolvedPublic

Description

This is related to bug 61289.

When you open a template that contains a lot of data, you should already be able to read everything in the full, expanded boxes. If thhe data takes four lines to display in the box, then you should see all four lines immediately, Uou should not get template parameter boxes that are 1.5 lines tall until you click inside the box.


Version: unspecified
Severity: minor

bzimport set Reference to bz62084.
Whatamidoing-WMF created this task.Via LegacyFeb 28 2014, 10:44 PM
Jdforrester-WMF added a comment.Via ConduitMar 6 2014, 2:33 AM

Fixed by gerrit 116669.

Elitre added a comment.Via ConduitMar 27 2014, 3:15 PM

I am afraid this is still not happening in Firefox.
As Fram pointed out, "Example: Contra (album) [https://en.wikipedia.org/wiki/Contra_(album)?veaction=edit ], go to the "professional ratings", and explore. Parameters "rev10score" or "rev2score" do not indicate that a second line follows: parameters "rev3score" and "rev5score" give a sudden scrollbar when you click in them, because they are longer than 2 lines."

Jdforrester-WMF added a comment.Via ConduitJun 9 2014, 4:47 PM

Ruddy Firefox bugs.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:28 AM
Jdforrester-WMF changed the title from "VisualEditor: In the template dialog, the boxes for pre-existing, long parameters should be expanded before you click on them" to "In the template dialog, the boxes for pre-existing, long parameters should be expanded before you click on them in Firefox".Via WebJan 10 2015, 3:23 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF added a subscriber: TrevorParscal.
Jdforrester-WMF lowered the priority of this task from "High" to "Normal".Via WebJan 15 2015, 12:21 AM
matmarex added a comment.Via WebJan 31 2015, 12:11 PM

Doesn't appear fixed. In fact, the parameters don't seem to expand at all, and do not have vertical scrollbars.

matmarex added a comment.Via WebFeb 1 2015, 1:53 PM

The underlying issue is that Firefox does not support the DOMNodeInsertedIntoDocument event, which we rely on to do the initial size adjustment. The event is actually deprecated, and we're planning to replace it with something else (T64174), so I'll mark that as another blocker.

Jdforrester-WMF set Story Points to 8.Via WebFeb 25 2015, 12:02 AM
Jdforrester-WMF moved this task to Polish on the VisualEditor 2014/15 Q3 blockers workboard.Via WebFeb 26 2015, 12:42 AM
Jdforrester-WMF changed the task status from "Open" to "Stalled".Via WebMar 2 2015, 4:35 AM
matmarex claimed this task.Via WebMar 3 2015, 7:27 PM
gerritbot added a subscriber: gerritbot.Via ConduitMar 3 2015, 9:40 PM

Change 194197 had a related patch set uploaded (by Bartosz Dziewoński):
TextInputWidget: Use MutationObserver for #onElementAttach support

https://gerrit.wikimedia.org/r/194197

gerritbot added a project: Patch-For-Review.Via ConduitMar 3 2015, 9:40 PM
Jdforrester-WMF moved this task to TR5: ???? on the VisualEditor workboard.Via WebMar 10 2015, 5:43 PM
gerritbot added a comment.Via ConduitMar 10 2015, 11:16 PM

Change 194197 merged by jenkins-bot:
TextInputWidget: Use MutationObserver for #onElementAttach support

https://gerrit.wikimedia.org/r/194197

Jdforrester-WMF moved this task to Done on the VisualEditor workboard.Via WebMar 15 2015, 3:20 AM
Etonkovidova added a subscriber: Etonkovidova.Via WebMar 18 2015, 7:07 PM

Verified the fix in betalabs - FF 35.

Add Comment